Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.tools
Class SoapUIMockServiceRunner.LogListener

    java.lang.Object
      com.eviware.soapui.tools.SoapUIMockServiceRunner.LogListener

All Implemented Interfaces:
  MockRunListener

Enclosing class:
  SoapUIMockServiceRunner

    public class SoapUIMockServiceRunner.LogListener

extends java.lang.Object
implements MockRunListener

Constructor Summary
`SoapUIMockServiceRunner.LogListener()`

Method Summary
`void` | `onMockRequest(MockRunner runner, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `onMockResult(MockResult result)`
`void` | `onMockRunnerStart(MockRunner mockRunner)`
`void` | `onMockRunnerStop(MockRunner mockRunner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUIMockServiceRunner.LogListener

    public SoapUIMockServiceRunner.LogListener()

Method Detail

### onMockRunnerStart

    public void onMockRunnerStart(MockRunner mockRunner)

  Specified by:
    `onMockRunnerStart` in interface `MockRunListener`

### onMockRunnerStop

    public void onMockRunnerStop(MockRunner mockRunner)

  Specified by:
    `onMockRunnerStop` in interface `MockRunListener`

### onMockResult

    public void onMockResult(MockResult result)

  Specified by:
    `onMockResult` in interface `MockRunListener`

### onMockRequest

    public void onMockRequest(MockRunner runner,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)

  Specified by:
    `onMockRequest` in interface `MockRunListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.